Package: org.codehaus.groovy.ant

## [Java] Class GroovycTask

- org.codehaus.groovy.ant.GroovycTask

- Compiles Groovy source files.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `force` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompileTaskSupport` | `classpath, config, destdir, failOnError, log, src`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`
    `` | `void` | `setForce(boolean flag)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompileTaskSupport` | `compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`
    `class MatchingTask` | `add, addDate, addType, createPatternSet, createInclude, hasSelectors, selectorElements, appendSelector, addNot, setExcludesfile, setIncludesfile, getSelectors, addAnd, addOr, addNone, createExclude, addMajority, selectorCount, addPresent, addDifferent, addFilename, addDepend, addCustom, addContains, addModified, addSize, addDepth, XsetItems, XsetIgnore, addSelector, setCaseSensitive, setIncludes, setExcludes, setProject, createIncludesFile, createExcludesFile, setDefaultexcludes, addContainsRegexp, setFollowSymlinks, log, log, log, log, init, execute, getTaskName, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, maybeConfigure, reconfigure, perform, bindToOwner, clone, getLocation, setDescription, getProject, getDescription, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected boolean force

  - ### Method Detail

    - #### protected void compile()

    - #### public void setForce(boolean flag)